package com.kmall.api.service.mk;

import com.kmall.api.dao.mk.ApiMkStoreTopicVisitorsMapper;
import com.kmall.api.entity.mk.MkStoreTopicVisitorsVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店活动访客记录Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
@Service
public class ApiMkStoreTopicVisitorsService  {
    @Autowired
    private ApiMkStoreTopicVisitorsMapper apiMkStoreTopicVisitorsMapper;

    public MkStoreTopicVisitorsVo queryObject(Integer topicVisitorsId) {
        return apiMkStoreTopicVisitorsMapper.queryObject(topicVisitorsId);
    }

    public MkStoreTopicVisitorsVo queryVisitorByTopicIdAndUserId(Integer storeTopicId, Long userId) {
        return apiMkStoreTopicVisitorsMapper.queryVisitorByTopicIdAndUserId(storeTopicId, userId);
    }

    public Integer queryCountByStoreTopicId(Integer storeTopicId) {
        return apiMkStoreTopicVisitorsMapper.queryCountByStoreTopicId(storeTopicId);
    }

    public List<MkStoreTopicVisitorsVo> queryList(Map<String, Object> map) {
        return apiMkStoreTopicVisitorsMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiMkStoreTopicVisitorsMapper.queryTotal(map);
    }

    public int save(MkStoreTopicVisitorsVo mkStoreTopicVisitors) {
        return apiMkStoreTopicVisitorsMapper.save(mkStoreTopicVisitors);
    }

    public int update(MkStoreTopicVisitorsVo mkStoreTopicVisitors) {
        return apiMkStoreTopicVisitorsMapper.update(mkStoreTopicVisitors);
    }

    public int delete(Integer topicVisitorsId) {
        return apiMkStoreTopicVisitorsMapper.delete(topicVisitorsId);
    }

    public int deleteBatch(Integer[]topicVisitorsIds) {
        return apiMkStoreTopicVisitorsMapper.deleteBatch(topicVisitorsIds);
    }
}
